<?php

namespace App\Http\Controllers;

use App\Model\AnuncioIntranet;
use Illuminate\Http\Request;
use Illuminate\View\View;
use Illuminate\Support\Facades\Auth;

class InicioController extends Controller
{
    public function getIndex(){
        if(auth()->user()->roleid == config('constants.ROLES.APODERADO')) {
            return view('pages.Inicio.apoderado');
        }

        $roles = Auth::user()->roles()->pluck('role_id');
        $news = AnuncioIntranet::join('anuncio_rol','anuncio_rol.id_anuncio','=','anuncio_intranet.id')
        ->whereIn('anuncio_rol.id_rol',$roles)
        ->select(
            'anuncio_intranet.id',
            'anuncio_intranet.urlimagen',
            'anuncio_intranet.nombre'
        )
        ->groupBy('anuncio_intranet.id')
        ->get();
        return view('pages.Inicio.inicio')->with('news',$news);
    }

}
